> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Deactivate an API key

> Deactivate an API key. The key will stop working immediately but can be re-activated later. Use this instead of deleting to allow rollback.




## OpenAPI

````yaml https://app.herondata.io/swagger put /api/credentials/keys/{heron_id}/deactivate
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/credentials/keys/{heron_id}/deactivate:
    put:
      tags:
        - Credentials
      summary: Deactivate an API key
      description: >
        Deactivate an API key. The key will stop working immediately but can be
        re-activated later. Use this instead of deleting to allow rollback.
      parameters:
        - in: path
          name: heron_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiKeyStatusSchema'
          description: Key deactivated
        '404':
          description: Key not found
components:
  schemas:
    ApiKeyStatusSchema:
      properties:
        heron_id:
          readOnly: true
          type: string
        is_active:
          readOnly: true
          type: boolean
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````